Package org.drinkless.tdlib

# Class TdApi.CreateChatSubscriptionInviteLink

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ChatInviteLink>
org.drinkless.tdlib.TdApi.CreateChatSubscriptionInviteLink

Enclosing class:
  `TdApi`

public static class TdApi.CreateChatSubscriptionInviteLink extends TdApi.Function<TdApi.ChatInviteLink>
Creates a new subscription invite link for a channel chat. Requires canInviteUsers right in the chat.

Returns `ChatInviteLink`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `name`
  Invite link name; 0-32 characters.
  `TdApi.StarSubscriptionPricing`
  `subscriptionPricing`
  Information about subscription plan that will be applied to the users joining the chat via the link.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateChatSubscriptionInviteLink()`
  Default constructor for a function, which creates a new subscription invite link for a channel chat.
  `CreateChatSubscriptionInviteLink(long chatId, String name, TdApi.StarSubscriptionPricing subscriptionPricing)`
  Creates a function, which creates a new subscription invite link for a channel chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### name

    public String name
    Invite link name; 0-32 characters.

  - ### subscriptionPricing

    public TdApi.StarSubscriptionPricing subscriptionPricing
    Information about subscription plan that will be applied to the users joining the chat via the link. Subscription period must be 2592000 in production environment, and 60 or 300 if Telegram test environment is used.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CreateChatSubscriptionInviteLink

    public CreateChatSubscriptionInviteLink()
    Default constructor for a function, which creates a new subscription invite link for a channel chat. Requires canInviteUsers right in the chat.

    Returns `ChatInviteLink`

  - ### CreateChatSubscriptionInviteLink

    public CreateChatSubscriptionInviteLink(long chatId, String name, TdApi.StarSubscriptionPricing subscriptionPricing)
    Creates a function, which creates a new subscription invite link for a channel chat. Requires canInviteUsers right in the chat.

    Returns `ChatInviteLink`

    Parameters:
      `chatId` - Chat identifier.
      `name` - Invite link name; 0-32 characters.
      `subscriptionPricing` - Information about subscription plan that will be applied to the users joining the chat via the link. Subscription period must be 2592000 in production environment, and 60 or 300 if Telegram test environment is used.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ChatInviteLink>`
    Returns:
      this.CONSTRUCTOR